/*
*	Filename:		AnimationExport.h
*	Author:			Lars Vidar Magnusson
*	Copyright (C)	LaViMa Development 2006
*/

#ifndef __ANIMATIONEXPORT__
#define __ANIMATIONEXPORT__

#include <maya/MStatus.h>
#include <maya/MDagPath.h>
#include <maya/MItDag.h>
#include <maya/MItDependencyGraph.h>
#include <maya/MFnAnimCurve.h>
#include <maya/MFnTransform.h>
#include <maya/MFnIkJoint.h>
#include <maya/MAnimControl.h>
#include <maya/MAnimUtil.h>
#include <maya/MQuaternion.h>

#include <vector>
#include <set>

#include "Animation.h"
#include "TextFileWriter.h"
#include "SkeletonExport.h"

class cAnimationExport {
private:

	tAnimation mAnimation;
	
	std::set<MTime> findKeyFrames(MDagPath &jointPath, MStatus *status);

public:

	MStatus extractAnimation();	

	void writeAnimation(cTextFileWriter &writer);

	void cleanUp();

};	// cAnimationExport

#endif	// __ANIMATIONEXPORT__